# RTI::Region Class Reference

`#include <RTI.hh>`

Inheritance diagram for RTI::Region:

[legend]

List of all members.

## Public Member Functions
virtual | ~Region ()
virtual ULong | getRangeLowerBound (ExtentIndex, DimensionHandle) const =0 throw (ArrayIndexOutOfBounds)
virtual ULong | getRangeUpperBound (ExtentIndex, DimensionHandle) const =0 throw (ArrayIndexOutOfBounds)
virtual void | setRangeLowerBound (ExtentIndex, DimensionHandle, ULong)=0 throw (ArrayIndexOutOfBounds)
virtual void | setRangeUpperBound (ExtentIndex, DimensionHandle, ULong)=0 throw (ArrayIndexOutOfBounds)
virtual SpaceHandle | getSpaceHandle () const =0 throw ()
virtual ULong | getNumberOfExtents () const =0 throw ()
virtual ULong | getRangeLowerBoundNotificationLimit (ExtentIndex, DimensionHandle) const =0 throw (ArrayIndexOutOfBounds)
virtual ULong | getRangeUpperBoundNotificationLimit (ExtentIndex, DimensionHandle) const =0 throw (ArrayIndexOutOfBounds)

## Detailed Description

Definition at line 401 of file RTI.hh.

## Constructor & Destructor Documentation

virtual ~Region | ( |  | ) | `[inline, virtual]`

Definition at line 404 of file RTI.hh.

## Member Function Documentation

virtual ULong getRangeLowerBound | ( | ExtentIndex | ,
|  | DimensionHandle |  |
| ) |  |  | const throw (ArrayIndexOutOfBounds)`[pure virtual]`

Implemented in RegionImp.

virtual ULong getRangeUpperBound | ( | ExtentIndex | ,
|  | DimensionHandle |  |
| ) |  |  | const throw (ArrayIndexOutOfBounds)`[pure virtual]`

Implemented in RegionImp.

virtual void setRangeLowerBound | ( | ExtentIndex | ,
|  | DimensionHandle | ,
|  | ULong |  |
| ) |  |  | throw (ArrayIndexOutOfBounds)`[pure virtual]`

Implemented in RegionImp.

virtual void setRangeUpperBound | ( | ExtentIndex | ,
|  | DimensionHandle | ,
|  | ULong |  |
| ) |  |  | throw (ArrayIndexOutOfBounds)`[pure virtual]`

Implemented in RegionImp.

virtual SpaceHandle getSpaceHandle | ( |  | ) | const throw ()`[pure virtual]`

Implemented in RegionImp.

virtual ULong getNumberOfExtents | ( |  | ) | const throw ()`[pure virtual]`

Implemented in RegionImp.

Referenced by RTI::RTIambassador::createRegion().

virtual ULong getRangeLowerBoundNotificationLimit | ( | ExtentIndex | ,
|  | DimensionHandle |  |
| ) |  |  | const throw (ArrayIndexOutOfBounds)`[pure virtual]`

Implemented in RegionImp.

virtual ULong getRangeUpperBoundNotificationLimit | ( | ExtentIndex | ,
|  | DimensionHandle |  |
| ) |  |  | const throw (ArrayIndexOutOfBounds)`[pure virtual]`

Implemented in RegionImp.

The documentation for this class was generated from the following file:

- RTI.hh